playMaker

Author Topic: Unity 2019.2: Directives not working  (Read 713 times)

Rebooter

  • Playmaker Newbie
  • *
  • Posts: 19
    • View Profile
Unity 2019.2: Directives not working
« on: August 31, 2019, 01:14:51 AM »
I'm trying to use the GetAnimatorCurrentStateInfo action in Unity 2019.2 (Playmaker 1.9.0.p18). The directive at the top of the source file:

#if UNITY_5_3_OR_NEWER || UNITY_5
#define UNITY_5_OR_NEWER
#endif

doesn't seem to be working. None of the fields with the '#if UNITY_5_OR_NEWER' directive are visible on the action's inspector.

Edit: I copied the action to a new file and edited out all of the defines and it works, but I don't understand why the original doesn't work.
« Last Edit: September 01, 2019, 08:21:54 AM by Rebooter »

jeanfabre

  • Administrator
  • Hero Member
  • *****
  • Posts: 15219
  • Official Playmaker Support
    • View Profile
Re: Unity 2019.2: Directives not working
« Reply #1 on: November 11, 2019, 11:33:16 PM »
Hi,

 I checked and it worked, maybe you were using a beta version? I have 2019.2.9f1 and all is good.

Bye,

 Jean